Subject: Re: bug#72254: 29.4; Cannot yank media when image come from Gnome-shell screenshot

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Aug 2024 16:30:32 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Tue, 20 Aug 2024 15:20:38 +0200
> 
> >>>>> On Tue, 20 Aug 2024 16:15:42 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     >> 
>     >> No, the patch was lost among the host of matters I had to attend to.
>     >> Eli, is this still OK for emacs-30?
> 
>     Eli> It looks like the change will affect any selections from the
>     Eli> clipboard?  If so, it's a bit scary to install it so late.  Can we
>     Eli> change the patch such that it affects only media selections?
> 
> It only affects pgtk builds, and only when emacs requests the list of
> supported formats for yanking, which only `yank-media' does.

How do you see that it affects only PGTK?

But if these two conditions are the only cases where this method will
be used, I guess we can install it on the emacs-39 branch after all.
Although the problem is hardly urgent.